> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all stage instances



## OpenAPI

````yaml /api-reference/4.2/service-index-stages.json get /index-stages/instances
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-stages
paths:
  /index-stages/instances:
    get:
      tags:
        - 4.2 Index Stages API
      summary: Get all stage instances
      operationId: listStageInstances
      parameters:
        - name: type
          in: query
          description: The stage type
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StageConfig'
components:
  schemas:
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````